﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Monorail.Entities
{
    public class EntityLocomotive : EntityMonorail
    {
        public Color AdditionalColor { get; private set; }
        public int AddWheelsNumb { get; private set; }

        public bool SecondCabine { get; private set; }

        public bool MagniteRail { get; private set; }
        public EntityLocomotive(int speed, double weight, Color bodyColor, Color wheelColor,
            Color tireColor, int addWheelsNumb, Color secondCabineColor, bool secondCabine, bool magniteRail) : base(speed, weight, bodyColor, wheelColor, tireColor)
        {
            AdditionalColor = secondCabineColor;
            AddWheelsNumb = addWheelsNumb;
            SecondCabine = secondCabine;
            MagniteRail = magniteRail;
        }

    }
}